# Retrieve a customer balance transaction

Retrieves a specific customer balance transaction that updated the customer’s [balances](https://docs.stripe.com/docs/billing/customer/balance.md).

## Prerequisites

Before you can run the following code snippet, you need to call these APIs with the provided parameters to set up the prerequisite API object(s).

1. createCustomer
POST /v1/customers {"name":"Jenny Rosen","email":"jennyrosen@example.com"}
2. createCustomerBalanceTransaction
POST /v1/customers/{customer}/balance_transactions {"customer":"${node.prerequisites.createCustomer.createCustomer:id}","amount":-500,"currency":"usd"}

## Request

```curl
curl https://api.stripe.com/v1/customers/{{CUSTOMER_ID}}/balance_transactions/{{CUSTOMER_BALANCE_TRANSACTION_ID}} \
  -u "<<YOUR_SECRET_KEY>>"
```

### Response

```json
{
  "id": "cbtxn_1MrU9qLkdIwHu7ixhdjxGBgI",
  "object": "customer_balance_transaction",
  "amount": -500,
  "created": 1680216086,
  "credit_note": null,
  "currency": "usd",
  "customer": "cus_NcjdgdwZyI9Rj7",
  "description": null,
  "ending_balance": -500,
  "invoice": null,
  "livemode": false,
  "metadata": {},
  "type": "adjustment"
}
```

## Returns

Returns a customer balance transaction object if a valid identifier was provided.
